#!/bin/bash
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
INSTALLDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )"/../.. && pwd )"
. /etc/os-release
OS=$ID


echo "-- Updating DB"
mysql -u root < $DIR/db.sql

echo "-- Updating CEL configuration"

if [ $OS = "debian" ]
then
cat <<< "[MySQL]
Description     = MySQL driver
Driver          = libmyodbc.so
Setup           = libodbcmyS.so
CPTimeout       =
CPReuse         =" | odbcinst -i -d -r
fi

cat <<< "[asterisk]
Description           = ODBC to Mysql
Driver                = MySQL
Database              = asterisk
Server                = 127.0.0.1
UserName              = asterisk
Password              = asterisk
Socket                = /var/run/mysqld/mysql.sock
option                = 3" | odbcinst -i -s -r -l

cat > /etc/asterisk/ombutel/res_odbc__10-general.conf <<-EOF
[asterisk]
enabled => yes
dsn => asterisk
pooling =>no
limit=>1
username => asterisk
password => asterisk
pre-connect => yes
EOF

cat > /etc/asterisk/ombutel/cel_odbc__10-general.conf <<-EOF
[cel]
connection=asterisk
table=cel
username=asterisk
password=asterisk
loguniqueid=yes
EOF

cat > /etc/asterisk/ombutel/cel__10-general.conf <<-EOF
[general]
enable=yes
apps=all
events=ALL
dateformat = %d-%m-%Y %T
EOF

cat > /etc/asterisk/modules.d/30-statexplorer.conf <<-EOF
+ res_odbc.so
+ cel.so
+ cel_odbc.so
EOF

systemctl stop asterisk
/usr/share/ombutel/scripts/ast_mods_ctl
systemctl start asterisk


echo "-- Setting Reset flag"
touch /tmp/resetdb

# #### NE PAS RETIRER CE BLOC DES SCRIPTS DE MISE A JOUR
echo "-- Initializing startup script"
cat > $INSTALLDIR/api/scripts/analyse.sh <<-EOF
#!/bin/sh
CURPROCRESET=\`ps -ef | grep resetdb.sh | grep -v grep | awk '{print \$2}'\`
CURPROCIDQUEUE=\`ps -ef | grep queueanalyser.php | grep -v grep | awk '{print \$2}'\`
CURPROCIDCEL=\`ps -ef | grep celanalyser.php | grep -v grep | awk '{print \$2}'\`
if [ -z "\$CURPROCIDQUEUE" -a -z "\$CURPROCIDCEL" -a -z "\$CURPROCRESET" ]
then
    if [ -f /tmp/resetdb ]
    then
        /bin/sh $INSTALLDIR/api/scripts/resetdb.sh >> /var/log/statexplorercron.log
        rm -f /tmp/resetdb
    fi
    /usr/bin/php $INSTALLDIR/api/scripts/queueanalyser/queueanalyser.php &>> /var/log/statexplorercron.log
    /usr/bin/php $INSTALLDIR/api/scripts/celanalyser/celanalyser.php -a -w &>> /var/log/statexplorercron.log
fi
EOF

cat > /etc/cron.d/statexplorer <<-EOF
0 0 * * 0 root rm -f /var/log/statexplorercron.log 
* * * * * root /bin/bash $INSTALLDIR/api/scripts/analyse.sh &>> /var/log/statexplorercron.log 
EOF
# #### FIN DU BLOC
